🔒 Learn how to create more secure apps at the "Best Practices for Securing Your Mobile Apps" webinar. Register today!

NativeScript Core

Extend your existing iOS app with NativeScript

WARNING: Embedding NativeScript into an existing iOS application is an experimental feature. If you’re interested in seeing this scenario being officially supported, please let us know on GitHub.

If you have an existing native iOS app built with Swift/Objective-C, but would like to extend functionality of the app with NativeScript, we can provide experimental guidance for you.

Requirements

  • Xcode 9+
  • NativeScript CLI 3.0+
    • Nativescript iOS platform 3.0+

Instructions

Detailed instructions on embedding NativeScript in an existing iOS app are available in this repository.